{# @var ea \EasyCorp\Bundle\EasyAdminBundle\Context\AdminContext #}
{# @var action \EasyCorp\Bundle\EasyAdminBundle\Dto\ActionDto #}
{# @var entity \EasyCorp\Bundle\EasyAdminBundle\Dto\EntityDto #}
{% if 'a' == action.htmlElement %}
    <a class="{{ isIncludedInDropdown|default(false) ? 'dropdown-item' }} {{ action.cssClass }} actions-btn"
       href="{{ action.linkUrl }}"
    {% for name, value in action.htmlAttributes %}{{ name }}="{{ value|e('html_attr') }}" {% endfor %}>
    {%- if action.icon %}<i class="action-icon {{ action.icon }}"></i> {% endif -%}
    {%- if action.label is not empty -%}{{ action.label }}{%- endif -%}
    </a>
{% elseif 'button' == action.htmlElement %}
    <button class="{{ action.cssClass }} actions-btn" {% for name, value in action.htmlAttributes %}{{ name }}="{{ value|e('html_attr') }}" {% endfor %}>
    <span class="btn-label">
            {%- if action.icon %}<i class="action-icon {{ action.icon }}"></i> {% endif -%}
        {%- if action.label is not empty -%}{{ action.label }}{%- endif -%}
        </span>
    </button>
{% endif %}
